com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.GetFunctionsColumns_Metadata

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.GetFunctionsColumns_Metadata>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.GetFunctionsColumns_Metadata

All Implemented Interfaces:
  MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctionsColumns_Metadata>, Serializable, Comparable<MetadataAPIHelper.GetFunctionsColumns_Metadata>

Enclosing class:
  MetadataAPIHelper

    public static enum MetadataAPIHelper.GetFunctionsColumns_Metadata
    extends Enum<MetadataAPIHelper.GetFunctionsColumns_Metadata>
    implements MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctionsColumns_Metadata>

Define return columns for JDBC API getFunctionsColumns according to the spec

See Also:
  JDBC Specification

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHAR_OCTET_LENGTH`
`COLUMN_NAME`
`COLUMN_TYPE`
`DATA_TYPE`
`FUNCTION_CAT`
`FUNCTION_NAME`
`FUNCTION_SCHEM`
`IS_NULLABLE`
`LENGTH`
`NULLABLE`
`ORDINAL_POSITION`
`PRECISION`
`RADIX`
`REMARKS`
`SCALE`
`SPECIFIC_NAME`
`TYPE_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`
`static MetadataAPIHelper.GetFunctionsColumns_Metadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.GetFunctionsColumns_Metadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FUNCTION_CAT

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata FUNCTION_CAT

#### FUNCTION_SCHEM

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata FUNCTION_SCHEM

#### FUNCTION_NAME

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata FUNCTION_NAME

#### COLUMN_NAME

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata COLUMN_NAME

#### COLUMN_TYPE

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata COLUMN_TYPE

#### DATA_TYPE

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata DATA_TYPE

#### TYPE_NAME

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata TYPE_NAME

#### PRECISION

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata PRECISION

#### LENGTH

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata LENGTH

#### SCALE

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata SCALE

#### RADIX

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata RADIX

#### NULLABLE

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata NULLABLE

#### REMARKS

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata REMARKS

#### CHAR_OCTET_LENGTH

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata CHAR_OCTET_LENGTH

#### ORDINAL_POSITION

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata ORDINAL_POSITION

#### IS_NULLABLE

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata IS_NULLABLE

#### SPECIFIC_NAME

    public static final MetadataAPIHelper.GetFunctionsColumns_Metadata SPECIFIC_NAME

### Method Detail

#### values

    public static MetadataAPIHelper.GetFunctionsColumns_Metadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.GetFunctionsColumns_Metadata c : MetadataAPIHelper.GetFunctionsColumns_Metadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.GetFunctionsColumns_Metadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctionsColumns_Metadata>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctionsColumns_Metadata>`

#### getOidType

    public int getOidType()

Specified by:
  `getOidType` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctionsColumns_Metadata>`